MAKEDBM(8)

NAME
makedbm - make a Network Information Service dbm file

SYNOPSIS
makedbm [ -i yp_input_file ] [ -o yp_output_name ] [ -d yp_domain_name ] [ -m yp_master_name ] infile outfile
makedbm [ -u dbmfilename ]

DESCRIPTION
makedbm takes infile and converts it to a pair of files in dbm(3X) format, namely outfile.pag and outfile.dir. Each line of the input file is converted to a single dbm record. All characters up to the first tab or space form the key, and the rest of the line is the data. If a line ends with \, then the data for that record is continued on to the next line. It is left for the clients of the Network Information Service to interpret #; makedbm does not itself treat it as a comment character. infile can be -, in which case standard input is read.

makedbm is meant to be used in generating dbm files for the Network Information Service, and it generates a special entry with the key yp_last_modified, which is the date of infile (or the current time, if infile is -).

OPTIONS

-i  Create a special entry with the key yp_input_file.

-o  Create a special entry with the key yp_output_name.

-d  Create a special entry with the key yp_domain_name.

-m  Create a special entry with the key yp_master_name. If no master host name is specified, yp_master_name will be set to the local host name.

-u  Undo a dbm file. That is, print out a dbm file one entry per line, with a single space separating keys from values.

EXAMPLE

It is easy to write shell scripts to convert standard files such as /etc/passwd to the key value form used by makedbm. For example,

     #!/bin/awk -f
     BEGIN { FS = ":"; OFS = "\t"; }
     { print $1, $0 }

takes the /etc/passwd file and converts it to a form that can be read by makedbm to make the Network Information Service file passwd.byname. That is, the key is a username, and the value is the remaining line in the /etc/passwd file.

SEE ALSO
dbm(3X), yppasswd(1)